Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.6.0 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.utah.janosvm.kit.management.team
Class TeamListMessage

    java.lang.Object
      |
      +--edu.utah.janosvm.sys.ListNode
            |
            +--edu.utah.janosvm.kit.comm.amiga.Message
                  |
                  +--edu.utah.janosvm.kit.management.team.TeamListMessage

public class TeamListMessage
extends Message

A message class that stores the values from a TeamEvent.

Fields inherited from class edu.utah.janosvm.sys.ListNode
`pred, succ`

Method Summary
`int` | `getEvent()`
`int` | `getID()`
`java.lang.String` | `getName()`
`java.lang.String` | `toString()`

Methods inherited from class edu.utah.janosvm.kit.comm.amiga.Message
`clone, getReplyPort, isReply, reply, setReplyPort`

Methods inherited from class edu.utah.janosvm.sys.ListNode
`append, prepend, remove`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getName

    public java.lang.String getName()

  Returns:
    The name of the team this event relates too.

### getID

    public int getID()

  Returns:
    The unique identifier this event relates too.

### getEvent

    public int getEvent()

  Returns:
    The TeamEvent event number.

### toString

    public java.lang.String toString()

  Overrides:
    toString in class ListNode

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.6.0 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation is Copyright (C) 2000-2002 The University of Utah. All Rights Reserved. See the documentation license for distribution terms and restrictions.
Documentation, software, and mailing lists for the JanosVM can be found at the Janos Project web page: http://www.cs.utah.edu/flux/janos/
Generated on Mar 17, 2002